Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Class ItemObjectFactory

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.pool.ItemObjectFactory

Deprecated See BEA Commerce product offering

    @Deprecated
    public class ItemObjectFactory

extends Object

Creates new ItemObjects based on LineItem or Quote objects.

Field Summary
`static int` | `RESOURCE_POOL_INIT_SIZE` Deprecated See BEA Commerce product offering

Constructor Summary
`ItemObjectFactory()` Deprecated See BEA Commerce product offering

Method Summary
`protected List` | `getObjects(Pool pool, LineItem line, int lineNumber)` Deprecated See BEA Commerce product offering
`List` | `getObjects(Pool pool, Quote quote)` Deprecated See BEA Commerce product offering
`void` | `reset()` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESOURCE_POOL_INIT_SIZE

    public static final int RESOURCE_POOL_INIT_SIZE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### ItemObjectFactory

    public ItemObjectFactory()

  Deprecated See BEA Commerce product offering

Method Detail

### reset

    public void reset()

  Deprecated See BEA Commerce product offering

### getObjects

    public List getObjects(Pool pool,
                           Quote quote)

  Deprecated See BEA Commerce product offering

### getObjects

    protected List getObjects(Pool pool,
                              LineItem line,
                              int lineNumber)

  Deprecated See BEA Commerce product offering

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved